%bcond_with doc

Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Summary(ja): Netwide アセンブラ: Intel ライクなシンタックスのポータブル x86 アセンブラ
Name: nasm
Version: 2.16.03
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: owa

License: BSD
URL: https://www.nasm.us
%global download %{url}/pub/nasm/releasebuilds
Source0: %{download}/%{version}/nasm-%{version}.tar.xz
Source1: %{download}/%{version}/nasm-%{version}-xdoc.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: asciidoc
BuildRequires: xmlto
Obsoletes: %{name}-rdoff < 2.16.03
%if %{with doc}
Obsoletes: %{name}-doc < %{version}-%{release}
%endif

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description -l ja
NASM は Netwide アセンブラです。Intel 80x86 プロセッサシリーズ用の
フリーでポータブルなアセンブラで、基本的に伝統的な Intel インストラクション
ニーモニックと文法を使います。


%if %{with doc}
%package doc
Summary: Extensive documentation for NASM
Summary(ja): NASM のドキュメント
Group: documentation
Requires: %{name} = %{version}-%{release}

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML format.

%description doc -l ja
Netwide アセンブラ NASM のHTML形式ドキュメントです。
%endif


%debug_package


%prep
%setup -q -n nasm-%{version}
tar xJf %{SOURCE1} --strip-components 1


%build
%configure
%if %{with doc}
make everything %{?_smp_mflags}
gzip -9f doc/nasmdoc.{ps,txt}
%else
make all %{?_smp_mflags}
%endif


%install
%make_install


%check
make -C test golden test diff


%files
%license LICENSE
%doc AUTHORS CHANGES README.md
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%if %{with doc}
%files doc
%doc doc/html doc/nasmdoc.txt.gz doc/nasmdoc.ps.gz doc/nasmdoc.pdf
%endif


%changelog
* Sat Jul 06 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.16.03-1
- new upstream release.

* Thu Sep 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.14.02-1
- new upstream release.

* Sat Sep  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> nasm-2.11.08-1
- updated nasm to nasm-2.11.08
- updated xdoc to nasm-2.11.08-xdoc

* Sat Oct 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> nasm-2.11.05-1
- updated nasm to nasm-2.11.05
- updated xdoc to nasm-2.11.05-xdoc
- updated License to BSD (see, LICENSE)

* Thu Apr 28 2011 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.08-1
- updated nasm to nasm-2.09.08
- updated xdoc to nasm-2.09.08-xdoc

* Mon Nov 22 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.03-1
- updated nasm to nasm-2.09.03
- updated xdoc to nasm-2.09.03-xdoc

* Wed Sep 08 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.01-1
- updated nasm to nasm-2.09.01
- updated xdoc to nasm-2.09.01-xdoc

* Thu Sep 02 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09-1
- updated nasm to nasm-2.09
- updated xdoc to nasm-2.09-xdoc

* Tue Mar 16 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.08.01-1
- updated nasm to nasm-2.08.01
- updated xdoc to nasm-2.08.01-xdoc

* Sat Sep 05 2009 Shu KONNO <owa@bg.wakwak.com> nasm-2.07.00-1
- updated nasm to nasm-2.07

* Mon Jul 13 2009 Shu KONNO <owa@bg.wakwak.com> nasm-2.06.00-1
- updated nasm to nasm-2.06
- added nasm-2.06-xdoc
- changed download url

* Tue Sep 30 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.04.00-1vl5
- updated nasm to nasm-2.04
- fixed typo of changelog version

* Sat Jun 14 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.03.00-1vl5
- updated nasm to nasm-2.03
- applied new versioning policy and spec in utf-8

* Fri Feb 22 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.02.00-0vl1
- updated nasm to nasm-2.02

* Mon Jan 28 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.01.00-0vl1
- updated nasm to nasm-2.01

* Thu Nov 29 2007 Shu KONNO <owa@bg.wakwak.com> nasm-2.0.0-0vl1
- updated nasm to nasm-2.00

* Sun Nov 25 2007 Shu KONNO <owa@bg.wakwak.com> nasm-2.0-0vl0rc1
- updated nasm to nasm-2.00rc1

* Sun Aug 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.98.39-0vl2
- drop stupid macros
- fix dependencies
  - add BuildRequires: texinfo
  - add BuildRequires: ghostscript instead of /usr/bin/ps2pdf
  - doc: add PreReq: install-info instead of /sbin/install-info
- chande doc's group to Applications/Documentation

* Sat Jun  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.39-0vl1
- new upstream release

* Wed Apr 21 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.38-0vl1
- updated to 0.98.38
- fixed %doc of nasm-doc 

* Thu Jul 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl3
- fixed nasm-doc Group: Documentation
- changed URL:
- s/Copyright/License/

* Tue May 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl2
- merged Vine Plus spec file and Vine Seed Plus spec file (sorry....)

* Thu May  1 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl1
- update 0.98.36 based on sourceforge
 - change licence to LGPL
 - change URL
- add BuildPrereq: perl

* Mon Jan 27 2003 Masaki Shinomiya <shino@pos.to> 0.98.35-0vl1
- source upstream, new URL, doc files

* Sat Apr 14 2001 Shoji Matsumoto <shom@vinelinux.org> 0.98-0vl2
- add ja desc
- modify %files
- use %configure
- build for Seed

* Fri Dec 15 2000 Hirotaka Mizutani
      - 0.98-0vl1
      - updated for VineLinux2.1
