Name:           sbc
Version:        2.0
Release:        1%{?_dist_release}
Summary:        Sub Band Codec used by bluetooth A2DP
Summary(ja):    Bluetooth A2DP で使用する Sub Band Codec
Group:          system,multimedia
Vendor:         Project Vine
Distribution:   Vine Linux
License:        GPLv2 and LGPLv2+
URL:            https://www.bluez.org/
Source0:        https://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libsndfile-devel

%description
SBC (Sub Band Codec) is a low-complexity audio codec used in the Advanced Audio 
Distribution Profile (A2DP) bluetooth standard but can be used standalone. It 
uses 4 or 8 subbands, an adaptive bit allocation algorithm in combination with 
an adaptive block PCM quantizers.


%package devel
Summary: Development package for %{name}
Summary(ja): %{name} の開発用パッケージ
Group: programming
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.


%debug_package


%prep
%setup -q


%build
%configure --disable-static

make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc AUTHORS ChangeLog
%{_bindir}/sbc*
%{_libdir}/libsbc.so.1*

%files devel
%{_includedir}/sbc/
%{_libdir}/pkgconfig/sbc.pc
%{_libdir}/libsbc.so


%changelog
* Sun Jul 07 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0-1
- new upstream release.

* Fri Jan 05 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3-1
- new upstream release.

* Sat Dec  6 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0-2
- added Group tag

* Thu Jul 11 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-1
- initial build for Vine Linux

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Rex Dieter <rdieter@fedoraproject.org> 1.0-2
- track lib soname, minor .spec cleanup

* Sat Dec  1 2012 Peter Robinson <pbrobinson@fedoraproject.org> 1.0-1
- Initial package
