##
## disable gsm for Vine Linux
%define nogsm 1
## disable libmad
%define nomad 1

Summary:     A general purpose sound file conversion tool.
Summary(ja): 汎用サウンドファイル変換ツール
Name: sox
Version: 14.4.2
Release: 2%{?_dist_release}
Group: multimedia
Vendor: Project Vine
Distribution: Vine Linux

License: LGPL
URL: https://sox.sourceforge.net/
Source:  https://prdownloads.sourceforge.net/sox/sox-%{version}.tar.bz2
# 0000 - 0099: General:
Patch0: sox-14.4.2-lsx_symbols.patch
Patch1: sox-14.4.2-lpc10.patch
Patch2: sox-14.4.2-fsf_address_fix.patch
# 0100 - 0999: Extensions:
# - no extensions yet
# 1000 - 8999: Bug fixes:
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1500570
# - upstream discussion: https://sourceforge.net/p/sox/mailman/sox-devel/thread/CAG_ZyaD8huzEm9cajDd63z1nGOTVRw=Y8vPE-t5pHB=9XmQ_Xw@mail.gmail.com/#msg36124536
# - patch origin: https://bogomips.org/sox.git/patch/?id=818bdd0ccc1e5b6cae742c740c17fd414935cf39
# - security fix for CVE-2017-15371
Patch1000: sox-14.4.2-bug_1500570_fix.patch
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1500554
# - upstream discussion: https://sourceforge.net/p/sox/mailman/sox-devel/thread/CAG_ZyaDcmDNEHRr2WBR2fPcXtu_kd5OdpRVTbhDe1YQZQA2c9w@mail.gmail.com/#msg36103130
# - patch origin: https://github.com/mansr/sox/commit/ef3d8be0f80cbb650e4766b545d61e10d7a24c9e.patch
# - security fix for CVE-2017-15370
Patch1001: sox-14.4.2-bug_1500554_fix.patch
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1500553
# - upstream discussion: https://sourceforge.net/p/sox/mailman/sox-devel/thread/CAG_ZyaBLxUKk_xmrvn2YfnVLNRE_Rzxe+cYBC5CJtK_xWrVvNw@mail.gmail.com/#msg36121067
# - patch origin: https://bogomips.org/sox.git/patch/?id=3f7ed312614649e2695b54b398475d32be4f64f3
# - security fix for CVE-2017-15372
Patch1002: sox-14.4.2-bug_1500553_fix.patch
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1510923
# - upstream discussion: https://sourceforge.net/p/sox/mailman/sox-devel/thread/CAG_ZyaA_WyTTEWeGYPUhG95M3wOv64vTqn8jeH4JYvgMnx83Tw@mail.gmail.com/#msg36128861
# - patch origin: https://sourceforge.net/p/sox/mailman/sox-devel/thread/20171120110535.14410-1-mans@mansr.com/#msg36129559
# - security fix for CVE-2017-15642
Patch1003: sox-14.4.2-bug_1510923_fix.patch
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1558887
# - upstream discussion: https://sourceforge.net/p/sox/bugs/308/
Patch1004: sox-14.4.2-hcom_stopwrite_big_endian_bug_fix.patch
# -rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1309426 [CLOSED DUPL]
#        https://bugzilla.redhat.com/show_bug.cgi?id=1226675
#        https://bugzilla.redhat.com/show_bug.cgi?id=1540762 [CLOSED DUPL]
#        https://bugzilla.redhat.com/show_bug.cgi?id=1492910 [CLOSED DUPL]
# - upstream discussion: https://sourceforge.net/p/sox/bugs/309/
Patch1005: sox-14.4.2-bug_1226675_fix.patch
# - security fix for CVE-2017-11332
#   * rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1480674
#   * upstream commit: https://sourceforge.net/p/sox/code/ci/6e177c455fb554327ff8125b6e6dde1568610abe/
# - security fix for CVE-2017-11358
#   * rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1480675
#   * upstream commit: https://sourceforge.net/p/sox/code/ci/e410d00c4821726accfbe1f825f2def6376e181f/
# - security fix for CVE-2017-11359
#   * rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1480676
#   * upstream commit: https://sourceforge.net/p/sox/code/ci/7b3f30e13e4845bafc93215a372c6eb7dcf04118/
# - rhbz tracker: https://bugzilla.redhat.com/show_bug.cgi?id=1480678
# - upstream discussion: https://sourceforge.net/p/sox/bugs/296/
Patch1006: sox-14.4.2-bug_1480678_fix.patch
# - rhbz: https://bugzilla.redhat.com/show_bug.cgi?id=1545867
# - upstream patch: https://sourceforge.net/p/sox/mailman/sox-devel/thread/20180426131552.29249-9-mans@mansr.com/#msg36303839
# - security fix for CVE-2017-18189
Patch1007: sox-14.4.2-bug_1545867_fix.patch
# 9000 - 9999: Tests:
Patch9000: sox-14.4.2-installcheck_fix.patch
Patch9001: sox-sample_tes-t-c99.patch

BuildRequires: alsa-lib-devel
BuildRequires: pulseaudio-lib-devel
BuildRequires: flac-devel
BuildRequires: libvorbis-devel
Build%{?nomad:Conflicts}%{!?nomad:Requires}: libmad-devel
Build%{?nogsm:Conflicts}%{!?nogsm:Requires}: gsm-devel

%description
SoX (Sound eXchange) is a sound file format converter for Linux, UNIX
and DOS PCs. The 'Swiss Army knife of sound tools,' SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

%description -l ja
SoX (Sound eXchange) は Linux, UNIX, DOS PC 用サウンドファイルフォーマット
変換ツールです．SoX は「サウンドツール界のスイスアーミーナイフ」で，
様々なデジタルサウンドフォーマットを相互に変換したり，
簡単なサウンドエフェクト等の処理も行うことが出来ます．


%package -n  sox-devel
Summary: The SoX sound file format converter libraries.
Summary(ja): SoX サウンドファイル変換ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}

%description -n sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

Install sox-devel if you want to develop applications which will use
SoX.

%description -n sox-devel -l ja
このパッケージには SoX サウンドファイルフォーマット変換ツールを
利用するアプリケーションをコンパイルするのに必要なライブラリが
収められています．

SoX を利用するプログラムを開発する場合は sox-devel パッケージを
インストールして下さい．


%prep
%setup -q 
%patch -P0 -p1
%patch -P1 -p1 -b .lpc
%patch -P2 -p1
%patch -P1000 -p1
%patch -P1001 -p1
%patch -P1002 -p1
%patch -P1003 -p1
%patch -P1004 -p1
%patch -P1005 -p1
%patch -P1006 -p1
%patch -P1007 -p1
%patch -P9000 -p1
%patch -P9001 -p1
#regenerate scripts from older autoconf to support aarch64
autoreconf -vfi


%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure \
	--disable-static \
	--includedir=%{_includedir}/sox \
	--with-distro=Vine \
	--without-lpc10 \
	%{!?nogsm: --with-gsm}

make V=1 %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libsox.la
rm -f $RPM_BUILD_ROOT%{_libdir}/sox/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/sox/*.a

echo "#!/bin/sh" > $RPM_BUILD_ROOT%{_bindir}/soxplay
echo "" >> $RPM_BUILD_ROOT%{_bindir}/soxplay
echo '%{_bindir}/sox $1 -t .au - > /dev/audio' >> $RPM_BUILD_ROOT%{_bindir}/soxplay
chmod 755 $RPM_BUILD_ROOT%{_bindir}/soxplay

ln -snf play $RPM_BUILD_ROOT%{_bindir}/rec
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rec.1
ln -snf play.1 $RPM_BUILD_ROOT%{_mandir}/man1/rec.1
ln -snf sox.1 $RPM_BUILD_ROOT%{_mandir}/man1/soxmix.1

mkdir -p $RPM_BUILD_ROOT%{_includedir}/sox
install -m 644 src/*.h $RPM_BUILD_ROOT%{_includedir}/sox


%files
%defattr(-,root,root)
%doc Changelog README TODO INSTALL
%{_bindir}/*
%{_libdir}/libsox.so.*
%{_mandir}/man1/*

%files -n sox-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libsox.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Sat Jul 06 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.4.2-2
- imported all patched from rawhide.
- dropped ldconfig scriptlet.

* Mon Jul 11 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.4.2-1
- new upstream release.
- added R:sox to sox-devel.
- dropped Patch100: fixed in upstream.

* Thu Jan  8 2015 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 14.4.1-2
- add patch100 for fix CVE-2014-8145
- add BR: flac-devel, libvorbis-devel
- add Vendor/Distri tags

* Sun Aug 03 2014 Yoji TOYODA <owa@bg.wakwak.com> 14.4.1-1
- update to 14.4.1

* Sat Nov 05 2011 Yoji TOYODA <owa@bg.wakwak.com> 14.3.2-1
- new upstream release
- add BuildRequires: pulseaudio-lib-devel

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 12.18.1-2
- rebuilt with rpm-4.8.1-3

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 12.18.1-1vl5
- applied new versioning policy, spec in utf-8

* Fri Apr 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 12.18.1-0vl3
- fix installing play.1 man page (<BTS:510>)
- add BuildRequires: alsa-lib-devel (alsa stuffs are now in main repo)

* Mon Sep 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 12.18.1-0vl2
- add "%%define nomad 1" to disable libmad dependency

* Fri Aug 25 2006 NAKAMURA Kenta <kenta@vinelinux.org> 12.18.1-0vl1
- new upstream release
- dropped sox-vorberr.patch and sox-CAN-2004-0557.patch

* Wed Aug 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 12.17.3-12vl2
- add patch for buffer overflow in wav code (CAN-2004-0557, #128158)
- fixed %files section

* Thu Jul  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 12.17.3-12vl1
- based on 12.17.3-12 from Rawhide
- rebuild with new toolchains
- to use License tag instead of Copyright
- fix License (from distributable to LGPL)

* Fri Jan 12 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 12.17.1-1vl1
- based on 12.17.1-1 from Rawhide
- use better macros (%%{_bindir}, %%{_libdir}, %%{_includedir})
- added Japanese summary and description
- disable gsm stuff for Vine Linux

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- re-enable gsm stuff
- update to 12.17.1

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- update to 12.17
- yank out gsm stuff

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support mono

* Sat Aug  5 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support 8-bit

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Feb 03 2000 Bill Nottingham <notting@redhat.com>
- fix manpage link the Right Way(tm)

* Thu Feb 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rec manpage link - now that man pages are compressed, it should point to
  play.1.gz, not play.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- Grrr. Arrrrgh. Fix link.

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- add some more files to devel

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- fix link

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 12.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Tue Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
